Bug 509865 - SELinux denial
SELinux denial
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 11:15 EDT by Braden McDaniel
Modified: 2010-04-27 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 11:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2009-07-06 11:15:31 EDT
Description of problem:
I'm seeing this SELinux denial when I ssh back into my machine from another one I'm logged into:

SELinux is preventing sshd (sshd_t) "getsched" sshd_t. 

Version-Release number of selected component (if applicable):
5.2p1-2.fc11

How reproducible:
Consistently.

Steps to Reproduce:
1. ssh from machine a to machine b.
2. ssh back to machine a from the shell on machine b.

Additional info:


Summary:

SELinux is preventing sshd (sshd_t) "getsched" sshd_t.

Detailed Description:

SELinux denied access requested by sshd. It is not expected that this access is
required by sshd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        sshd
Source Path                   /usr/sbin/sshd
Port                          <Unknown>
Host                          bolt
Source RPM Packages           openssh-server-5.2p1-2.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-53.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     bolt
Platform                      Linux bolt 2.6.29.5-191.fc11.x86_64 #1 SMP Tue Jun
                              16 23:23:21 EDT 2009 x86_64 x86_64
Alert Count                   12
First Seen                    Tue 30 Jun 2009 05:15:58 PM EDT
Last Seen                     Mon 06 Jul 2009 11:12:36 AM EDT
Local ID                      fe1666bb-b512-4dae-9566-cb26ac17406c
Line Numbers                  

Raw Audit Messages            

node=bolt type=AVC msg=audit(1246893156.231:48025): avc:  denied  { getsched } for  pid=6941 comm="sshd" scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tclass=process

node=bolt type=SYSCALL msg=audit(1246893156.231:48025): arch=c000003e syscall=145 success=no exit=-13 a0=1b1d a1=7f47cfc7ebe8 a2=d a3=7fff6cecceb0 items=0 ppid=2955 pid=6941 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sshd" exe="/usr/sbin/sshd" subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-07-19 10:55:29 EDT
Miroslav add this permission.

You can allow this for now using

# grep getsched /var/log/audit/audit.log | audit2allow -m myssh
# semodule -i myssh.pp
Comment 2 Miroslav Grepl 2009-07-21 04:31:14 EDT
Fixed in selinux-policy-3.6.12-69.fc11
Comment 4 Bug Zapper 2010-04-27 11:30:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.